summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKeri Harris <keri@gentoo.org>2018-12-03 14:29:47 +0100
committerKeri Harris <keri@gentoo.org>2018-12-03 14:30:29 +0100
commit7e390e48f85312c19b8e0cd75aa0e759b869ec56 (patch)
treea098359523bf07328dbe61597b18c64da994d364 /dev-lang/swi-prolog
parentmedia-libs/aubio: Bump to version 0.4.8 (diff)
downloadgentoo-7e390e48f85312c19b8e0cd75aa0e759b869ec56.tar.gz
gentoo-7e390e48f85312c19b8e0cd75aa0e759b869ec56.tar.bz2
gentoo-7e390e48f85312c19b8e0cd75aa0e759b869ec56.zip
dev-lang/swi-prolog: bump development version
Signed-off-by: Keri Harris <keri@gentoo.org> Package-Manager: Portage-2.3.49, Repoman-2.3.11
Diffstat (limited to 'dev-lang/swi-prolog')
-rw-r--r--dev-lang/swi-prolog/Manifest2
-rw-r--r--dev-lang/swi-prolog/swi-prolog-7.7.22.ebuild99
2 files changed, 101 insertions, 0 deletions
diff --git a/dev-lang/swi-prolog/Manifest b/dev-lang/swi-prolog/Manifest
index db3a85fea01..44dd6852682 100644
--- a/dev-lang/swi-prolog/Manifest
+++ b/dev-lang/swi-prolog/Manifest
@@ -2,9 +2,11 @@ DIST swi-prolog-7.4.2-gentoo-patchset-3.tar.gz 3256 BLAKE2B d7997d7307db738f0948
DIST swi-prolog-7.6.4-gentoo-patchset-1.tar.gz 572 BLAKE2B 11ea1f22a997ea495a388627396ac571230de65b0ed2718c1127de04f563660fab0e6f8fd14b537de11a20c9651897f0b4f9d5a0d848c9d5f1f62e0c6e2b6705 SHA512 ce9f66af8764a89af42366d3e5c9d52d597f715022894cd4a2f283bb50be4070b3dbe3258ecf4bcf8808a6230ee023fce1edd9a8ad4342ceeb35d1b17770e4a2
DIST swi-prolog-7.7.20-gentoo-patchset-0.tar.gz 321 BLAKE2B d90e37016ba6d155af363ce679d0d5b6a1ce8986eb1437cf45ae15c9a8c036a488a0761fdbe2f734f784f4c35a6aa46825d43620778c5190a55894e5cc78014f SHA512 38c8335f8e574ba6860abfe87283bbb36583a1a0e9feb147a6d536477fad1ec5703063db521fc6747dac17642c756238d1c782297457c4554a9797eea9f5379e
DIST swi-prolog-7.7.21-gentoo-patchset-0.tar.gz 658 BLAKE2B 3ba62644fc50019e062de8be85bb112d620292b2b73704cd61ddd13d9614056a022aae8df9dac68a38ffff4d526ead3100f3e3aa1a0ef691a759dc9781d8b0a7 SHA512 bc7617e32026a8b72f30a14e933abaa59bee4e27703ed2d59f831f70344545e8c9c151fab74fe07f30d47b45e77cb2e6c419457f2adee6157a24c40f5f52b9df
+DIST swi-prolog-7.7.22-gentoo-patchset-0.tar.gz 316 BLAKE2B 662df3286e52e6fd9e9e929b837e6b2c22dbf017e8c64e7a28b5a679710c028e535c32563a29791d68cb21b93189f02151e1421cf172f19d9e0acd378ed0e56b SHA512 e011bdbecac8ec175e9c30a5276e2707c086b2ceabeca432ea62c3c69ced31da799c5341d719b04ca9840c52636e31c545471cab69909b888684c0dd356bf474
DIST swipl-7.4.2.tar.gz 16496738 BLAKE2B a8f45c4277e48c0aa38f8b278b466dcb9e0a776325a9ed9e08c252660671d3ee0ee441978394682276b3fb9b0eca73ad10e02aba4671630bef0a1e8f813dd3c5 SHA512 5b526d4f079e7a36184f871bb7341330bcadaeee2a69af981fbcad71ae76c77331b1f157174ac2b31d96e069dc530afa86c024de6709edd9dc8baee3b4ebffb3
DIST swipl-7.6.3.tar.gz 16772590 BLAKE2B 644be801e290ec9d949a9b7462256a35e11cf9afd62d0b62c315e3620a3943809f58698a23f279454e00299f7b7f7b91e8d9694a139e8c424cb2f83a4efc7a52 SHA512 d84af1a565935af9934c6b75192bb2dd87388ee8fe793ade35d5549a95ec5eb83da6b10508766e795f88393fededea4ec7a3a0c2f0f685d96ab615e171d7d1f4
DIST swipl-7.6.4.tar.gz 16777875 BLAKE2B 94409966362e649f4748b94b4ec25415bb827c7742aa39453d8e37db4ce992a65ad2d054ded4e651f2a9abe3a9438285bc9c9c895437c087ae6cf88f4afae9ca SHA512 f0ed16e4f1436115651c38a0bb37008d0dadad5a19b0f09894fcfc51dd3d429f86488e89cce00788c3c36cc2f0cd2957f92df47d5441133a6f8ea9d91ca5470f
DIST swipl-7.7.19.tar.gz 17031626 BLAKE2B 0981ba2cb943d0dd16c7f91f4231fcf12c21dad26d738c7c7d3f7971bda92d209410181863dc1cf07f4eb528f5d3a5b98a4fd63873e1ee2cbbce440451cc9a69 SHA512 1c19f9a4ef3bc7a77bb7033a2a5862e821573d71e49aa9ae4d26a4c5eb60d2bdce53060f0851faa93e4f7a3ffdd15f89f0898f01005f15debdbb1e62004b99ad
DIST swipl-7.7.20.tar.gz 16592015 BLAKE2B e8cbf8b282c3aa48ea59ac0c33548776567aea0cfc41d90fc029c78450e334f7b49ad5e422eeba49631b2750c06ef60bb14cad3ae812b52befeaefb602149852 SHA512 1a9bc27e43a03601a2f66ff38babc054c78ab7f49f287c9c97794fcc78e438de9b27dbc151d41db6e61b8f8a4a2584b1c0c6e010b286f3b3dbcd487a3ab7a3a1
DIST swipl-7.7.21.tar.gz 16661560 BLAKE2B d29d45156e7a237582c62b37f7c8a1cad57095b48d0e0085c52b79de6f98aac22abc3d562696864803284c45c962173fd22c18cd659c3924c5120423bca0034d SHA512 8be2c58b5951653686a37552c2514f7bd98e01ed485338659bb87a5762b054f33a24cf769d453f190423da10325ec3420baca8172346b11f05a4b11a70630cc7
+DIST swipl-7.7.22.tar.gz 10408402 BLAKE2B e804190a07ad000f054f05bda6c895cae7aa588d6e31a86f17bf2ae4934d747939023035ac8a1b758e5d8e82a39f4a493d19fa41ee323a91333903b7ccb1b78b SHA512 bce8fa4bda39c8841533b4b8d98520b04df3272d8fe49924a49d5c6b7c66ab2defe5d121b1c7fb83506842645258ab6925a1c18740322f468c08e19374f67bfb
diff --git a/dev-lang/swi-prolog/swi-prolog-7.7.22.ebuild b/dev-lang/swi-prolog/swi-prolog-7.7.22.ebuild
new file mode 100644
index 00000000000..74bb77774a9
--- /dev/null
+++ b/dev-lang/swi-prolog/swi-prolog-7.7.22.ebuild
@@ -0,0 +1,99 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit cmake-utils eutils flag-o-matic multilib
+
+PATCHSET_VER="0"
+
+DESCRIPTION="versatile implementation of the Prolog programming language"
+HOMEPAGE="http://www.swi-prolog.org/"
+SRC_URI="http://www.swi-prolog.org/download/devel/src/swipl-${PV}.tar.gz
+ mirror://gentoo/${P}-gentoo-patchset-${PATCHSET_VER}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos"
+IUSE="archive berkdb debug doc +gmp java +libedit libressl minimal odbc pcre qt5 readline ssl test uuid X yaml"
+
+RDEPEND="sys-libs/ncurses:=
+ sys-libs/zlib
+ archive? ( app-arch/libarchive )
+ berkdb? ( >=sys-libs/db-4:= )
+ odbc? ( dev-db/unixODBC )
+ pcre? ( dev-libs/libpcre )
+ readline? ( sys-libs/readline:= )
+ libedit? ( dev-libs/libedit )
+ gmp? ( dev-libs/gmp:0 )
+ ssl? (
+ !libressl? ( dev-libs/openssl:0 )
+ libressl? ( dev-libs/libressl )
+ )
+ java? ( >=virtual/jdk-1.7:= )
+ uuid? ( dev-libs/ossp-uuid )
+ qt5? (
+ dev-qt/qtwidgets:5
+ dev-qt/qtgui:5
+ )
+ X? (
+ virtual/jpeg:0
+ x11-libs/libX11
+ x11-libs/libXft
+ x11-libs/libXpm
+ x11-libs/libXt
+ x11-libs/libICE
+ x11-libs/libSM )
+ yaml? ( dev-libs/libyaml )"
+
+DEPEND="${RDEPEND}
+ X? ( x11-base/xorg-proto )
+ java? ( test? ( =dev-java/junit-3.8* ) )"
+
+S="${WORKDIR}/swipl-${PV}"
+BUILD_DIR="${S}/build"
+CMAKE_USE_DIR="${S}"
+
+src_prepare() {
+ EPATCH_FORCE=yes
+ EPATCH_SUFFIX=patch
+ if [[ -d "${WORKDIR}"/${PV} ]] ; then
+ epatch "${WORKDIR}"/${PV}
+ fi
+
+ sed -i -e "s|\(SWIPL_INSTALL_PREFIX\) lib/.*)|\1 $(get_libdir)/swipl)|" CMakeLists.txt || die
+
+ eapply_user
+
+ cmake-utils_src_prepare
+}
+
+src_configure() {
+ append-flags -fno-strict-aliasing
+ use debug && append-flags -DO_DEBUG
+
+ mycmakeargs=(
+ -DSWIPL_INSTALL_PREFIX=$(get_libdir)/swipl
+ -DUSE_GMP=$(usex gmp)
+ -DINSTALL_DOCUMENTATION=$(usex doc)
+ -DSWIPL_PACKAGES_BASIC=$(usex !minimal)
+ -DSWIPL_PACKAGES_ARCHIVE=$(usex archive)
+ -DSWIPL_PACKAGES_ODBC=$(usex odbc)
+ -DSWIPL_PACKAGES_BDB=$(usex berkdb)
+ -DSWIPL_PACKAGES_PCRE=$(usex pcre)
+ -DSWIPL_PACKAGES_YAML=$(usex yaml)
+ -DSWIPL_PACKAGES_SSL=$(usex ssl)
+ -DSWIPL_PACKAGES_JAVA=$(usex java)
+ -DSWIPL_PACKAGES_QT=$(usex qt5)
+ -DSWIPL_PACKAGES_X=$(usex X)
+ -DSWIPL_PACKAGES_TERM=$(if use libedit || use readline; then echo yes; else echo no; fi)
+ )
+
+ cmake-utils_src_configure
+}
+
+src_test() {
+ USE_PUBLIC_NETWORK_TESTS=false \
+ USE_ODBC_TESTS=false \
+ cmake-utils_src_test -V
+}